1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# shared makefile between src/Makefile.am and test/Makefile.am
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92@UNITTESTS_TRUE@check_PROGRAMS = wacom-tests$(EXEEXT)
93subdir = test
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
96	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
97	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
98	$(top_srcdir)/configure.ac
99am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100	$(ACLOCAL_M4)
101DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
102mkinstalldirs = $(install_sh) -d
103CONFIG_HEADER = $(top_builddir)/config.h
104CONFIG_CLEAN_FILES =
105CONFIG_CLEAN_VPATH_FILES =
106libwacom_test_la_LIBADD =
107am__libwacom_test_la_SOURCES_DIST = $(top_srcdir)/src/xf86Wacom.c \
108	$(top_srcdir)/src/xf86Wacom.h $(top_srcdir)/src/wcmCommon.c \
109	$(top_srcdir)/src/wcmConfig.c $(top_srcdir)/src/wcmISDV4.c \
110	$(top_srcdir)/src/wcmFilter.c $(top_srcdir)/src/wcmFilter.h \
111	$(top_srcdir)/src/xf86WacomDefs.h $(top_srcdir)/src/wcmUSB.c \
112	$(top_srcdir)/src/wcmXCommand.c \
113	$(top_srcdir)/src/wcmValidateDevice.c \
114	$(top_srcdir)/src/wcmTouchFilter.c \
115	$(top_srcdir)/src/wcmTouchFilter.h
116@UNITTESTS_TRUE@am__objects_1 = libwacom_test_la-xf86Wacom.lo \
117@UNITTESTS_TRUE@	libwacom_test_la-wcmCommon.lo \
118@UNITTESTS_TRUE@	libwacom_test_la-wcmConfig.lo \
119@UNITTESTS_TRUE@	libwacom_test_la-wcmISDV4.lo \
120@UNITTESTS_TRUE@	libwacom_test_la-wcmFilter.lo \
121@UNITTESTS_TRUE@	libwacom_test_la-wcmUSB.lo \
122@UNITTESTS_TRUE@	libwacom_test_la-wcmXCommand.lo \
123@UNITTESTS_TRUE@	libwacom_test_la-wcmValidateDevice.lo \
124@UNITTESTS_TRUE@	libwacom_test_la-wcmTouchFilter.lo
125@UNITTESTS_TRUE@am_libwacom_test_la_OBJECTS = $(am__objects_1)
126libwacom_test_la_OBJECTS = $(am_libwacom_test_la_OBJECTS)
127AM_V_lt = $(am__v_lt_@AM_V@)
128am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
129am__v_lt_0 = --silent
130am__v_lt_1 =
131libwacom_test_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
132	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
133	$(libwacom_test_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
134	-o $@
135@UNITTESTS_TRUE@am_libwacom_test_la_rpath =
136am__wacom_tests_SOURCES_DIST = wacom-tests.c fake-symbols.c \
137	fake-symbols.h
138@UNITTESTS_TRUE@am__objects_2 = wacom_tests-fake-symbols.$(OBJEXT)
139@UNITTESTS_TRUE@am_wacom_tests_OBJECTS =  \
140@UNITTESTS_TRUE@	wacom_tests-wacom-tests.$(OBJEXT) \
141@UNITTESTS_TRUE@	$(am__objects_2)
142wacom_tests_OBJECTS = $(am_wacom_tests_OBJECTS)
143am__DEPENDENCIES_1 =
144@UNITTESTS_TRUE@wacom_tests_DEPENDENCIES = $(TEST_LDADD) \
145@UNITTESTS_TRUE@	$(am__DEPENDENCIES_1)
146wacom_tests_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
147	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(wacom_tests_CFLAGS) \
148	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
149AM_V_P = $(am__v_P_@AM_V@)
150am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
151am__v_P_0 = false
152am__v_P_1 = :
153AM_V_GEN = $(am__v_GEN_@AM_V@)
154am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
155am__v_GEN_0 = @echo "  GEN     " $@;
156am__v_GEN_1 =
157AM_V_at = $(am__v_at_@AM_V@)
158am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
159am__v_at_0 = @
160am__v_at_1 =
161DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
162depcomp = $(SHELL) $(top_srcdir)/depcomp
163am__maybe_remake_depfiles = depfiles
164am__depfiles_remade = ./$(DEPDIR)/libwacom_test_la-wcmCommon.Plo \
165	./$(DEPDIR)/libwacom_test_la-wcmConfig.Plo \
166	./$(DEPDIR)/libwacom_test_la-wcmFilter.Plo \
167	./$(DEPDIR)/libwacom_test_la-wcmISDV4.Plo \
168	./$(DEPDIR)/libwacom_test_la-wcmTouchFilter.Plo \
169	./$(DEPDIR)/libwacom_test_la-wcmUSB.Plo \
170	./$(DEPDIR)/libwacom_test_la-wcmValidateDevice.Plo \
171	./$(DEPDIR)/libwacom_test_la-wcmXCommand.Plo \
172	./$(DEPDIR)/libwacom_test_la-xf86Wacom.Plo \
173	./$(DEPDIR)/wacom_tests-fake-symbols.Po \
174	./$(DEPDIR)/wacom_tests-wacom-tests.Po
175am__mv = mv -f
176COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
177	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
178LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
179	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
180	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
181	$(AM_CFLAGS) $(CFLAGS)
182AM_V_CC = $(am__v_CC_@AM_V@)
183am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
184am__v_CC_0 = @echo "  CC      " $@;
185am__v_CC_1 =
186CCLD = $(CC)
187LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
188	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
189	$(AM_LDFLAGS) $(LDFLAGS) -o $@
190AM_V_CCLD = $(am__v_CCLD_@AM_V@)
191am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
192am__v_CCLD_0 = @echo "  CCLD    " $@;
193am__v_CCLD_1 =
194SOURCES = $(libwacom_test_la_SOURCES) $(wacom_tests_SOURCES)
195DIST_SOURCES = $(am__libwacom_test_la_SOURCES_DIST) \
196	$(am__wacom_tests_SOURCES_DIST)
197am__can_run_installinfo = \
198  case $$AM_UPDATE_INFO_DIR in \
199    n|no|NO) false;; \
200    *) (install-info --version) >/dev/null 2>&1;; \
201  esac
202am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
203# Read a list of newline-separated strings from the standard input,
204# and print each of them once, without duplicates.  Input order is
205# *not* preserved.
206am__uniquify_input = $(AWK) '\
207  BEGIN { nonempty = 0; } \
208  { items[$$0] = 1; nonempty = 1; } \
209  END { if (nonempty) { for (i in items) print i; }; } \
210'
211# Make sure the list of sources is unique.  This is necessary because,
212# e.g., the same source file might be shared among _SOURCES variables
213# for different programs/libraries.
214am__define_uniq_tagged_files = \
215  list='$(am__tagged_files)'; \
216  unique=`for i in $$list; do \
217    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
218  done | $(am__uniquify_input)`
219ETAGS = etags
220CTAGS = ctags
221am__tty_colors_dummy = \
222  mgn= red= grn= lgn= blu= brg= std=; \
223  am__color_tests=no
224am__tty_colors = { \
225  $(am__tty_colors_dummy); \
226  if test "X$(AM_COLOR_TESTS)" = Xno; then \
227    am__color_tests=no; \
228  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
229    am__color_tests=yes; \
230  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
231    am__color_tests=yes; \
232  fi; \
233  if test $$am__color_tests = yes; then \
234    red=''; \
235    grn=''; \
236    lgn=''; \
237    blu=''; \
238    mgn=''; \
239    brg=''; \
240    std=''; \
241  fi; \
242}
243am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
244am__vpath_adj = case $$p in \
245    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
246    *) f=$$p;; \
247  esac;
248am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
249am__install_max = 40
250am__nobase_strip_setup = \
251  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
252am__nobase_strip = \
253  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
254am__nobase_list = $(am__nobase_strip_setup); \
255  for p in $$list; do echo "$$p $$p"; done | \
256  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
257  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
258    if (++n[$$2] == $(am__install_max)) \
259      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
260    END { for (dir in files) print dir, files[dir] }'
261am__base_list = \
262  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
263  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
264am__uninstall_files_from_dir = { \
265  test -z "$$files" \
266    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
267    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
268         $(am__cd) "$$dir" && rm -f $$files; }; \
269  }
270am__recheck_rx = ^[ 	]*:recheck:[ 	]*
271am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
272am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
273# A command that, given a newline-separated list of test names on the
274# standard input, print the name of the tests that are to be re-run
275# upon "make recheck".
276am__list_recheck_tests = $(AWK) '{ \
277  recheck = 1; \
278  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
279    { \
280      if (rc < 0) \
281        { \
282          if ((getline line2 < ($$0 ".log")) < 0) \
283	    recheck = 0; \
284          break; \
285        } \
286      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
287        { \
288          recheck = 0; \
289          break; \
290        } \
291      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
292        { \
293          break; \
294        } \
295    }; \
296  if (recheck) \
297    print $$0; \
298  close ($$0 ".trs"); \
299  close ($$0 ".log"); \
300}'
301# A command that, given a newline-separated list of test names on the
302# standard input, create the global log from their .trs and .log files.
303am__create_global_log = $(AWK) ' \
304function fatal(msg) \
305{ \
306  print "fatal: making $@: " msg | "cat >&2"; \
307  exit 1; \
308} \
309function rst_section(header) \
310{ \
311  print header; \
312  len = length(header); \
313  for (i = 1; i <= len; i = i + 1) \
314    printf "="; \
315  printf "\n\n"; \
316} \
317{ \
318  copy_in_global_log = 1; \
319  global_test_result = "RUN"; \
320  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
321    { \
322      if (rc < 0) \
323         fatal("failed to read from " $$0 ".trs"); \
324      if (line ~ /$(am__global_test_result_rx)/) \
325        { \
326          sub("$(am__global_test_result_rx)", "", line); \
327          sub("[ 	]*$$", "", line); \
328          global_test_result = line; \
329        } \
330      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
331        copy_in_global_log = 0; \
332    }; \
333  if (copy_in_global_log) \
334    { \
335      rst_section(global_test_result ": " $$0); \
336      while ((rc = (getline line < ($$0 ".log"))) != 0) \
337      { \
338        if (rc < 0) \
339          fatal("failed to read from " $$0 ".log"); \
340        print line; \
341      }; \
342      printf "\n"; \
343    }; \
344  close ($$0 ".trs"); \
345  close ($$0 ".log"); \
346}'
347# Restructured Text title.
348am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
349# Solaris 10 'make', and several other traditional 'make' implementations,
350# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
351# by disabling -e (using the XSI extension "set +e") if it's set.
352am__sh_e_setup = case $$- in *e*) set +e;; esac
353# Default flags passed to test drivers.
354am__common_driver_flags = \
355  --color-tests "$$am__color_tests" \
356  --enable-hard-errors "$$am__enable_hard_errors" \
357  --expect-failure "$$am__expect_failure"
358# To be inserted before the command running the test.  Creates the
359# directory for the log if needed.  Stores in $dir the directory
360# containing $f, in $tst the test, in $log the log.  Executes the
361# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
362# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
363# will run the test scripts (or their associated LOG_COMPILER, if
364# thy have one).
365am__check_pre = \
366$(am__sh_e_setup);					\
367$(am__vpath_adj_setup) $(am__vpath_adj)			\
368$(am__tty_colors);					\
369srcdir=$(srcdir); export srcdir;			\
370case "$@" in						\
371  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
372    *) am__odir=.;; 					\
373esac;							\
374test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
375  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
376if test -f "./$$f"; then dir=./;			\
377elif test -f "$$f"; then dir=;				\
378else dir="$(srcdir)/"; fi;				\
379tst=$$dir$$f; log='$@'; 				\
380if test -n '$(DISABLE_HARD_ERRORS)'; then		\
381  am__enable_hard_errors=no; 				\
382else							\
383  am__enable_hard_errors=yes; 				\
384fi; 							\
385case " $(XFAIL_TESTS) " in				\
386  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
387    am__expect_failure=yes;;				\
388  *)							\
389    am__expect_failure=no;;				\
390esac; 							\
391$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
392# A shell command to get the names of the tests scripts with any registered
393# extension removed (i.e., equivalently, the names of the test logs, with
394# the '.log' extension removed).  The result is saved in the shell variable
395# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
396# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
397# since that might cause problem with VPATH rewrites for suffix-less tests.
398# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
399am__set_TESTS_bases = \
400  bases='$(TEST_LOGS)'; \
401  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
402  bases=`echo $$bases`
403RECHECK_LOGS = $(TEST_LOGS)
404AM_RECURSIVE_TARGETS = check recheck
405TEST_SUITE_LOG = test-suite.log
406TEST_EXTENSIONS = @EXEEXT@ .test
407LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
408LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
409am__set_b = \
410  case '$@' in \
411    */*) \
412      case '$*' in \
413        */*) b='$*';; \
414          *) b=`echo '$@' | sed 's/\.log$$//'`; \
415       esac;; \
416    *) \
417      b='$*';; \
418  esac
419am__test_logs1 = $(TESTS:=.log)
420am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
421TEST_LOGS = $(am__test_logs2:.test.log=.log)
422TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
423TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
424	$(TEST_LOG_FLAGS)
425am__DIST_COMMON = $(srcdir)/../src/common.mk $(srcdir)/Makefile.in \
426	$(top_srcdir)/depcomp $(top_srcdir)/test-driver
427DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
428ACLOCAL = @ACLOCAL@
429ADMIN_MAN_DIR = @ADMIN_MAN_DIR@
430ADMIN_MAN_SUFFIX = @ADMIN_MAN_SUFFIX@
431AMTAR = @AMTAR@
432AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
433APP_MAN_DIR = @APP_MAN_DIR@
434APP_MAN_SUFFIX = @APP_MAN_SUFFIX@
435AR = @AR@
436AUTOCONF = @AUTOCONF@
437AUTOHEADER = @AUTOHEADER@
438AUTOMAKE = @AUTOMAKE@
439AWK = @AWK@
440BASE_CFLAGS = @BASE_CFLAGS@
441CC = @CC@
442CCDEPMODE = @CCDEPMODE@
443CFLAGS = @CFLAGS@
444CHANGELOG_CMD = @CHANGELOG_CMD@
445CPP = @CPP@
446CPPFLAGS = @CPPFLAGS@
447CWARNFLAGS = @CWARNFLAGS@
448CYGPATH_W = @CYGPATH_W@
449DEFS = @DEFS@
450DEPDIR = @DEPDIR@
451DLLTOOL = @DLLTOOL@
452DOT = @DOT@
453DOXYGEN = @DOXYGEN@
454DRIVER_MAN_DIR = @DRIVER_MAN_DIR@
455DRIVER_MAN_SUFFIX = @DRIVER_MAN_SUFFIX@
456DRIVER_NAME = @DRIVER_NAME@
457DSYMUTIL = @DSYMUTIL@
458DUMPBIN = @DUMPBIN@
459ECHO_C = @ECHO_C@
460ECHO_N = @ECHO_N@
461ECHO_T = @ECHO_T@
462EGREP = @EGREP@
463EXEEXT = @EXEEXT@
464FGREP = @FGREP@
465FILE_MAN_DIR = @FILE_MAN_DIR@
466FILE_MAN_SUFFIX = @FILE_MAN_SUFFIX@
467GREP = @GREP@
468HAL_SET_PROPERTY = @HAL_SET_PROPERTY@
469HAVE_DOT = @HAVE_DOT@
470INSTALL = @INSTALL@
471INSTALL_CMD = @INSTALL_CMD@
472INSTALL_DATA = @INSTALL_DATA@
473INSTALL_PROGRAM = @INSTALL_PROGRAM@
474INSTALL_SCRIPT = @INSTALL_SCRIPT@
475INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
476LD = @LD@
477LDFLAGS = @LDFLAGS@
478LIBOBJS = @LIBOBJS@
479LIBS = @LIBS@
480LIBTOOL = @LIBTOOL@
481LIB_MAN_DIR = @LIB_MAN_DIR@
482LIB_MAN_SUFFIX = @LIB_MAN_SUFFIX@
483LIPO = @LIPO@
484LN_S = @LN_S@
485LSHAL = @LSHAL@
486LTLIBOBJS = @LTLIBOBJS@
487LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
488MAINT = @MAINT@
489MAKEINFO = @MAKEINFO@
490MANIFEST_TOOL = @MANIFEST_TOOL@
491MAN_SUBSTS = @MAN_SUBSTS@
492MISC_MAN_DIR = @MISC_MAN_DIR@
493MISC_MAN_SUFFIX = @MISC_MAN_SUFFIX@
494MKDIR_P = @MKDIR_P@
495NM = @NM@
496NMEDIT = @NMEDIT@
497OBJDUMP = @OBJDUMP@
498OBJEXT = @OBJEXT@
499OTOOL = @OTOOL@
500OTOOL64 = @OTOOL64@
501PACKAGE = @PACKAGE@
502PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
503PACKAGE_NAME = @PACKAGE_NAME@
504PACKAGE_STRING = @PACKAGE_STRING@
505PACKAGE_TARNAME = @PACKAGE_TARNAME@
506PACKAGE_URL = @PACKAGE_URL@
507PACKAGE_VERSION = @PACKAGE_VERSION@
508PATH_SEPARATOR = @PATH_SEPARATOR@
509PKG_CONFIG = @PKG_CONFIG@
510PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
511PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
512RANLIB = @RANLIB@
513SED = @SED@
514SET_MAKE = @SET_MAKE@
515SHELL = @SHELL@
516STRICT_CFLAGS = @STRICT_CFLAGS@
517STRIP = @STRIP@
518SYSTEMD_UNIT_DIR = @SYSTEMD_UNIT_DIR@
519UDEV_CFLAGS = @UDEV_CFLAGS@
520UDEV_LIBS = @UDEV_LIBS@
521UDEV_RULES_DIR = @UDEV_RULES_DIR@
522VERSION = @VERSION@
523X11_CFLAGS = @X11_CFLAGS@
524X11_LIBS = @X11_LIBS@
525XORG_CFLAGS = @XORG_CFLAGS@
526XORG_LIBS = @XORG_LIBS@
527XORG_MAN_PAGE = @XORG_MAN_PAGE@
528abs_builddir = @abs_builddir@
529abs_srcdir = @abs_srcdir@
530abs_top_builddir = @abs_top_builddir@
531abs_top_srcdir = @abs_top_srcdir@
532ac_ct_AR = @ac_ct_AR@
533ac_ct_CC = @ac_ct_CC@
534ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
535am__include = @am__include@
536am__leading_dot = @am__leading_dot@
537am__quote = @am__quote@
538am__tar = @am__tar@
539am__untar = @am__untar@
540bindir = @bindir@
541build = @build@
542build_alias = @build_alias@
543build_cpu = @build_cpu@
544build_os = @build_os@
545build_vendor = @build_vendor@
546builddir = @builddir@
547configdir = @configdir@
548datadir = @datadir@
549datarootdir = @datarootdir@
550docdir = @docdir@
551dvidir = @dvidir@
552exec_prefix = @exec_prefix@
553host = @host@
554host_alias = @host_alias@
555host_cpu = @host_cpu@
556host_os = @host_os@
557host_vendor = @host_vendor@
558htmldir = @htmldir@
559includedir = @includedir@
560infodir = @infodir@
561inputdir = @inputdir@
562install_sh = @install_sh@
563libdir = @libdir@
564libexecdir = @libexecdir@
565localedir = @localedir@
566localstatedir = @localstatedir@
567mandir = @mandir@
568mkdir_p = @mkdir_p@
569oldincludedir = @oldincludedir@
570pdfdir = @pdfdir@
571prefix = @prefix@
572program_transform_name = @program_transform_name@
573psdir = @psdir@
574sbindir = @sbindir@
575sdkdir = @sdkdir@
576sharedstatedir = @sharedstatedir@
577srcdir = @srcdir@
578sysconfdir = @sysconfdir@
579target_alias = @target_alias@
580top_build_prefix = @top_build_prefix@
581top_builddir = @top_builddir@
582top_srcdir = @top_srcdir@
583@UNITTESTS_TRUE@DRIVER_SOURCES = \
584@UNITTESTS_TRUE@	$(top_srcdir)/src/xf86Wacom.c \
585@UNITTESTS_TRUE@	$(top_srcdir)/src/xf86Wacom.h \
586@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmCommon.c \
587@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmConfig.c \
588@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmISDV4.c \
589@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmFilter.c \
590@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmFilter.h \
591@UNITTESTS_TRUE@	$(top_srcdir)/src/xf86WacomDefs.h \
592@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmUSB.c \
593@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmXCommand.c \
594@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmValidateDevice.c \
595@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmTouchFilter.c \
596@UNITTESTS_TRUE@	$(top_srcdir)/src/wcmTouchFilter.h
597
598@UNITTESTS_TRUE@check_LTLIBRARIES = libwacom-test.la
599@UNITTESTS_TRUE@libwacom_test_la_SOURCES = $(DRIVER_SOURCES)
600@UNITTESTS_TRUE@libwacom_test_la_CFLAGS = -DUNIT_TESTS -I$(top_srcdir)/src $(XORG_CFLAGS) $(CWARNFLAGS) -fvisibility=default
601@UNITTESTS_TRUE@TESTS = $(check_PROGRAMS)
602@UNITTESTS_TRUE@AM_CPPFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/include
603@UNITTESTS_TRUE@AM_CFLAGS = $(XORG_CFLAGS) $(CWARNFLAGS) $(UDEV_CFLAGS)
604@UNITTESTS_TRUE@TEST_LDADD = libwacom-test.la
605@UNITTESTS_TRUE@COMMON_SOURCES = fake-symbols.c fake-symbols.h
606@UNITTESTS_TRUE@wacom_tests_LDADD = $(TEST_LDADD) $(UDEV_LIBS)
607@UNITTESTS_TRUE@wacom_tests_CFLAGS = -DUNIT_TESTS $(AM_CFLAGS)
608@UNITTESTS_TRUE@wacom_tests_SOURCES = wacom-tests.c $(COMMON_SOURCES)
609all: all-am
610
611.SUFFIXES:
612.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
613$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../src/common.mk $(am__configure_deps)
614	@for dep in $?; do \
615	  case '$(am__configure_deps)' in \
616	    *$$dep*) \
617	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
618	        && { if test -f $@; then exit 0; else break; fi; }; \
619	      exit 1;; \
620	  esac; \
621	done; \
622	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
623	$(am__cd) $(top_srcdir) && \
624	  $(AUTOMAKE) --foreign test/Makefile
625Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
626	@case '$?' in \
627	  *config.status*) \
628	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
629	  *) \
630	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
631	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
632	esac;
633$(srcdir)/../src/common.mk $(am__empty):
634
635$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
636	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
637
638$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
639	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
640$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
641	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
642$(am__aclocal_m4_deps):
643
644clean-checkPROGRAMS:
645	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
646	echo " rm -f" $$list; \
647	rm -f $$list || exit $$?; \
648	test -n "$(EXEEXT)" || exit 0; \
649	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
650	echo " rm -f" $$list; \
651	rm -f $$list
652
653clean-checkLTLIBRARIES:
654	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
655	@list='$(check_LTLIBRARIES)'; \
656	locs=`for p in $$list; do echo $$p; done | \
657	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
658	      sort -u`; \
659	test -z "$$locs" || { \
660	  echo rm -f $${locs}; \
661	  rm -f $${locs}; \
662	}
663
664libwacom-test.la: $(libwacom_test_la_OBJECTS) $(libwacom_test_la_DEPENDENCIES) $(EXTRA_libwacom_test_la_DEPENDENCIES)
665	$(AM_V_CCLD)$(libwacom_test_la_LINK) $(am_libwacom_test_la_rpath) $(libwacom_test_la_OBJECTS) $(libwacom_test_la_LIBADD) $(LIBS)
666
667wacom-tests$(EXEEXT): $(wacom_tests_OBJECTS) $(wacom_tests_DEPENDENCIES) $(EXTRA_wacom_tests_DEPENDENCIES)
668	@rm -f wacom-tests$(EXEEXT)
669	$(AM_V_CCLD)$(wacom_tests_LINK) $(wacom_tests_OBJECTS) $(wacom_tests_LDADD) $(LIBS)
670
671mostlyclean-compile:
672	-rm -f *.$(OBJEXT)
673
674distclean-compile:
675	-rm -f *.tab.c
676
677@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmCommon.Plo@am__quote@ # am--include-marker
678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmConfig.Plo@am__quote@ # am--include-marker
679@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmFilter.Plo@am__quote@ # am--include-marker
680@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmISDV4.Plo@am__quote@ # am--include-marker
681@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmTouchFilter.Plo@am__quote@ # am--include-marker
682@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmUSB.Plo@am__quote@ # am--include-marker
683@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmValidateDevice.Plo@am__quote@ # am--include-marker
684@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-wcmXCommand.Plo@am__quote@ # am--include-marker
685@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwacom_test_la-xf86Wacom.Plo@am__quote@ # am--include-marker
686@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wacom_tests-fake-symbols.Po@am__quote@ # am--include-marker
687@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wacom_tests-wacom-tests.Po@am__quote@ # am--include-marker
688
689$(am__depfiles_remade):
690	@$(MKDIR_P) $(@D)
691	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
692
693am--depfiles: $(am__depfiles_remade)
694
695.c.o:
696@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
697@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
698@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
699@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
700@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
701
702.c.obj:
703@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
704@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
705@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
706@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
707@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
708
709.c.lo:
710@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
711@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
712@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
713@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
715
716libwacom_test_la-xf86Wacom.lo: $(top_srcdir)/src/xf86Wacom.c
717@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-xf86Wacom.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-xf86Wacom.Tpo -c -o libwacom_test_la-xf86Wacom.lo `test -f '$(top_srcdir)/src/xf86Wacom.c' || echo '$(srcdir)/'`$(top_srcdir)/src/xf86Wacom.c
718@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-xf86Wacom.Tpo $(DEPDIR)/libwacom_test_la-xf86Wacom.Plo
719@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/xf86Wacom.c' object='libwacom_test_la-xf86Wacom.lo' libtool=yes @AMDEPBACKSLASH@
720@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-xf86Wacom.lo `test -f '$(top_srcdir)/src/xf86Wacom.c' || echo '$(srcdir)/'`$(top_srcdir)/src/xf86Wacom.c
722
723libwacom_test_la-wcmCommon.lo: $(top_srcdir)/src/wcmCommon.c
724@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmCommon.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmCommon.Tpo -c -o libwacom_test_la-wcmCommon.lo `test -f '$(top_srcdir)/src/wcmCommon.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmCommon.c
725@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmCommon.Tpo $(DEPDIR)/libwacom_test_la-wcmCommon.Plo
726@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmCommon.c' object='libwacom_test_la-wcmCommon.lo' libtool=yes @AMDEPBACKSLASH@
727@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmCommon.lo `test -f '$(top_srcdir)/src/wcmCommon.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmCommon.c
729
730libwacom_test_la-wcmConfig.lo: $(top_srcdir)/src/wcmConfig.c
731@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmConfig.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmConfig.Tpo -c -o libwacom_test_la-wcmConfig.lo `test -f '$(top_srcdir)/src/wcmConfig.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmConfig.c
732@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmConfig.Tpo $(DEPDIR)/libwacom_test_la-wcmConfig.Plo
733@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmConfig.c' object='libwacom_test_la-wcmConfig.lo' libtool=yes @AMDEPBACKSLASH@
734@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmConfig.lo `test -f '$(top_srcdir)/src/wcmConfig.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmConfig.c
736
737libwacom_test_la-wcmISDV4.lo: $(top_srcdir)/src/wcmISDV4.c
738@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmISDV4.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmISDV4.Tpo -c -o libwacom_test_la-wcmISDV4.lo `test -f '$(top_srcdir)/src/wcmISDV4.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmISDV4.c
739@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmISDV4.Tpo $(DEPDIR)/libwacom_test_la-wcmISDV4.Plo
740@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmISDV4.c' object='libwacom_test_la-wcmISDV4.lo' libtool=yes @AMDEPBACKSLASH@
741@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmISDV4.lo `test -f '$(top_srcdir)/src/wcmISDV4.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmISDV4.c
743
744libwacom_test_la-wcmFilter.lo: $(top_srcdir)/src/wcmFilter.c
745@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmFilter.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmFilter.Tpo -c -o libwacom_test_la-wcmFilter.lo `test -f '$(top_srcdir)/src/wcmFilter.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmFilter.c
746@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmFilter.Tpo $(DEPDIR)/libwacom_test_la-wcmFilter.Plo
747@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmFilter.c' object='libwacom_test_la-wcmFilter.lo' libtool=yes @AMDEPBACKSLASH@
748@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmFilter.lo `test -f '$(top_srcdir)/src/wcmFilter.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmFilter.c
750
751libwacom_test_la-wcmUSB.lo: $(top_srcdir)/src/wcmUSB.c
752@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmUSB.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmUSB.Tpo -c -o libwacom_test_la-wcmUSB.lo `test -f '$(top_srcdir)/src/wcmUSB.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmUSB.c
753@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmUSB.Tpo $(DEPDIR)/libwacom_test_la-wcmUSB.Plo
754@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmUSB.c' object='libwacom_test_la-wcmUSB.lo' libtool=yes @AMDEPBACKSLASH@
755@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmUSB.lo `test -f '$(top_srcdir)/src/wcmUSB.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmUSB.c
757
758libwacom_test_la-wcmXCommand.lo: $(top_srcdir)/src/wcmXCommand.c
759@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmXCommand.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmXCommand.Tpo -c -o libwacom_test_la-wcmXCommand.lo `test -f '$(top_srcdir)/src/wcmXCommand.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmXCommand.c
760@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmXCommand.Tpo $(DEPDIR)/libwacom_test_la-wcmXCommand.Plo
761@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmXCommand.c' object='libwacom_test_la-wcmXCommand.lo' libtool=yes @AMDEPBACKSLASH@
762@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmXCommand.lo `test -f '$(top_srcdir)/src/wcmXCommand.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmXCommand.c
764
765libwacom_test_la-wcmValidateDevice.lo: $(top_srcdir)/src/wcmValidateDevice.c
766@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmValidateDevice.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmValidateDevice.Tpo -c -o libwacom_test_la-wcmValidateDevice.lo `test -f '$(top_srcdir)/src/wcmValidateDevice.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmValidateDevice.c
767@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmValidateDevice.Tpo $(DEPDIR)/libwacom_test_la-wcmValidateDevice.Plo
768@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmValidateDevice.c' object='libwacom_test_la-wcmValidateDevice.lo' libtool=yes @AMDEPBACKSLASH@
769@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmValidateDevice.lo `test -f '$(top_srcdir)/src/wcmValidateDevice.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmValidateDevice.c
771
772libwacom_test_la-wcmTouchFilter.lo: $(top_srcdir)/src/wcmTouchFilter.c
773@am__fastdepCC_TRUE@	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -MT libwacom_test_la-wcmTouchFilter.lo -MD -MP -MF $(DEPDIR)/libwacom_test_la-wcmTouchFilter.Tpo -c -o libwacom_test_la-wcmTouchFilter.lo `test -f '$(top_srcdir)/src/wcmTouchFilter.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmTouchFilter.c
774@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/libwacom_test_la-wcmTouchFilter.Tpo $(DEPDIR)/libwacom_test_la-wcmTouchFilter.Plo
775@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$(top_srcdir)/src/wcmTouchFilter.c' object='libwacom_test_la-wcmTouchFilter.lo' libtool=yes @AMDEPBACKSLASH@
776@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwacom_test_la_CFLAGS) $(CFLAGS) -c -o libwacom_test_la-wcmTouchFilter.lo `test -f '$(top_srcdir)/src/wcmTouchFilter.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wcmTouchFilter.c
778
779wacom_tests-wacom-tests.o: wacom-tests.c
780@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -MT wacom_tests-wacom-tests.o -MD -MP -MF $(DEPDIR)/wacom_tests-wacom-tests.Tpo -c -o wacom_tests-wacom-tests.o `test -f 'wacom-tests.c' || echo '$(srcdir)/'`wacom-tests.c
781@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/wacom_tests-wacom-tests.Tpo $(DEPDIR)/wacom_tests-wacom-tests.Po
782@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='wacom-tests.c' object='wacom_tests-wacom-tests.o' libtool=no @AMDEPBACKSLASH@
783@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -c -o wacom_tests-wacom-tests.o `test -f 'wacom-tests.c' || echo '$(srcdir)/'`wacom-tests.c
785
786wacom_tests-wacom-tests.obj: wacom-tests.c
787@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -MT wacom_tests-wacom-tests.obj -MD -MP -MF $(DEPDIR)/wacom_tests-wacom-tests.Tpo -c -o wacom_tests-wacom-tests.obj `if test -f 'wacom-tests.c'; then $(CYGPATH_W) 'wacom-tests.c'; else $(CYGPATH_W) '$(srcdir)/wacom-tests.c'; fi`
788@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/wacom_tests-wacom-tests.Tpo $(DEPDIR)/wacom_tests-wacom-tests.Po
789@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='wacom-tests.c' object='wacom_tests-wacom-tests.obj' libtool=no @AMDEPBACKSLASH@
790@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
791@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -c -o wacom_tests-wacom-tests.obj `if test -f 'wacom-tests.c'; then $(CYGPATH_W) 'wacom-tests.c'; else $(CYGPATH_W) '$(srcdir)/wacom-tests.c'; fi`
792
793wacom_tests-fake-symbols.o: fake-symbols.c
794@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -MT wacom_tests-fake-symbols.o -MD -MP -MF $(DEPDIR)/wacom_tests-fake-symbols.Tpo -c -o wacom_tests-fake-symbols.o `test -f 'fake-symbols.c' || echo '$(srcdir)/'`fake-symbols.c
795@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/wacom_tests-fake-symbols.Tpo $(DEPDIR)/wacom_tests-fake-symbols.Po
796@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fake-symbols.c' object='wacom_tests-fake-symbols.o' libtool=no @AMDEPBACKSLASH@
797@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
798@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -c -o wacom_tests-fake-symbols.o `test -f 'fake-symbols.c' || echo '$(srcdir)/'`fake-symbols.c
799
800wacom_tests-fake-symbols.obj: fake-symbols.c
801@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -MT wacom_tests-fake-symbols.obj -MD -MP -MF $(DEPDIR)/wacom_tests-fake-symbols.Tpo -c -o wacom_tests-fake-symbols.obj `if test -f 'fake-symbols.c'; then $(CYGPATH_W) 'fake-symbols.c'; else $(CYGPATH_W) '$(srcdir)/fake-symbols.c'; fi`
802@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/wacom_tests-fake-symbols.Tpo $(DEPDIR)/wacom_tests-fake-symbols.Po
803@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fake-symbols.c' object='wacom_tests-fake-symbols.obj' libtool=no @AMDEPBACKSLASH@
804@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(wacom_tests_CFLAGS) $(CFLAGS) -c -o wacom_tests-fake-symbols.obj `if test -f 'fake-symbols.c'; then $(CYGPATH_W) 'fake-symbols.c'; else $(CYGPATH_W) '$(srcdir)/fake-symbols.c'; fi`
806
807mostlyclean-libtool:
808	-rm -f *.lo
809
810clean-libtool:
811	-rm -rf .libs _libs
812
813ID: $(am__tagged_files)
814	$(am__define_uniq_tagged_files); mkid -fID $$unique
815tags: tags-am
816TAGS: tags
817
818tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
819	set x; \
820	here=`pwd`; \
821	$(am__define_uniq_tagged_files); \
822	shift; \
823	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
824	  test -n "$$unique" || unique=$$empty_fix; \
825	  if test $$# -gt 0; then \
826	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
827	      "$$@" $$unique; \
828	  else \
829	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
830	      $$unique; \
831	  fi; \
832	fi
833ctags: ctags-am
834
835CTAGS: ctags
836ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
837	$(am__define_uniq_tagged_files); \
838	test -z "$(CTAGS_ARGS)$$unique" \
839	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
840	     $$unique
841
842GTAGS:
843	here=`$(am__cd) $(top_builddir) && pwd` \
844	  && $(am__cd) $(top_srcdir) \
845	  && gtags -i $(GTAGS_ARGS) "$$here"
846cscopelist: cscopelist-am
847
848cscopelist-am: $(am__tagged_files)
849	list='$(am__tagged_files)'; \
850	case "$(srcdir)" in \
851	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
852	  *) sdir=$(subdir)/$(srcdir) ;; \
853	esac; \
854	for i in $$list; do \
855	  if test -f "$$i"; then \
856	    echo "$(subdir)/$$i"; \
857	  else \
858	    echo "$$sdir/$$i"; \
859	  fi; \
860	done >> $(top_builddir)/cscope.files
861
862distclean-tags:
863	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
864
865# Recover from deleted '.trs' file; this should ensure that
866# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
867# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
868# to avoid problems with "make -n".
869.log.trs:
870	rm -f $< $@
871	$(MAKE) $(AM_MAKEFLAGS) $<
872
873# Leading 'am--fnord' is there to ensure the list of targets does not
874# expand to empty, as could happen e.g. with make check TESTS=''.
875am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
876am--force-recheck:
877	@:
878
879$(TEST_SUITE_LOG): $(TEST_LOGS)
880	@$(am__set_TESTS_bases); \
881	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
882	redo_bases=`for i in $$bases; do \
883	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
884	            done`; \
885	if test -n "$$redo_bases"; then \
886	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
887	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
888	  if $(am__make_dryrun); then :; else \
889	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
890	  fi; \
891	fi; \
892	if test -n "$$am__remaking_logs"; then \
893	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
894	       "recursion detected" >&2; \
895	elif test -n "$$redo_logs"; then \
896	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
897	fi; \
898	if $(am__make_dryrun); then :; else \
899	  st=0;  \
900	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
901	  for i in $$redo_bases; do \
902	    test -f $$i.trs && test -r $$i.trs \
903	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
904	    test -f $$i.log && test -r $$i.log \
905	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
906	  done; \
907	  test $$st -eq 0 || exit 1; \
908	fi
909	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
910	ws='[ 	]'; \
911	results=`for b in $$bases; do echo $$b.trs; done`; \
912	test -n "$$results" || results=/dev/null; \
913	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
914	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
915	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
916	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
917	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
918	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
919	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
920	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
921	  success=true; \
922	else \
923	  success=false; \
924	fi; \
925	br='==================='; br=$$br$$br$$br$$br; \
926	result_count () \
927	{ \
928	    if test x"$$1" = x"--maybe-color"; then \
929	      maybe_colorize=yes; \
930	    elif test x"$$1" = x"--no-color"; then \
931	      maybe_colorize=no; \
932	    else \
933	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
934	    fi; \
935	    shift; \
936	    desc=$$1 count=$$2; \
937	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
938	      color_start=$$3 color_end=$$std; \
939	    else \
940	      color_start= color_end=; \
941	    fi; \
942	    echo "$${color_start}# $$desc $$count$${color_end}"; \
943	}; \
944	create_testsuite_report () \
945	{ \
946	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
947	  result_count $$1 "PASS: " $$pass  "$$grn"; \
948	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
949	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
950	  result_count $$1 "FAIL: " $$fail  "$$red"; \
951	  result_count $$1 "XPASS:" $$xpass "$$red"; \
952	  result_count $$1 "ERROR:" $$error "$$mgn"; \
953	}; \
954	{								\
955	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
956	    $(am__rst_title);						\
957	  create_testsuite_report --no-color;				\
958	  echo;								\
959	  echo ".. contents:: :depth: 2";				\
960	  echo;								\
961	  for b in $$bases; do echo $$b; done				\
962	    | $(am__create_global_log);					\
963	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
964	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
965	if $$success; then						\
966	  col="$$grn";							\
967	 else								\
968	  col="$$red";							\
969	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
970	fi;								\
971	echo "$${col}$$br$${std}"; 					\
972	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
973	echo "$${col}$$br$${std}"; 					\
974	create_testsuite_report --maybe-color;				\
975	echo "$$col$$br$$std";						\
976	if $$success; then :; else					\
977	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
978	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
979	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
980	  fi;								\
981	  echo "$$col$$br$$std";					\
982	fi;								\
983	$$success || exit 1
984
985check-TESTS: $(check_PROGRAMS) $(check_LTLIBRARIES)
986	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
987	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
988	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
989	@set +e; $(am__set_TESTS_bases); \
990	log_list=`for i in $$bases; do echo $$i.log; done`; \
991	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
992	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
993	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
994	exit $$?;
995recheck: all $(check_PROGRAMS) $(check_LTLIBRARIES)
996	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
997	@set +e; $(am__set_TESTS_bases); \
998	bases=`for i in $$bases; do echo $$i; done \
999	         | $(am__list_recheck_tests)` || exit 1; \
1000	log_list=`for i in $$bases; do echo $$i.log; done`; \
1001	log_list=`echo $$log_list`; \
1002	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1003	        am__force_recheck=am--force-recheck \
1004	        TEST_LOGS="$$log_list"; \
1005	exit $$?
1006wacom-tests.log: wacom-tests$(EXEEXT)
1007	@p='wacom-tests$(EXEEXT)'; \
1008	b='wacom-tests'; \
1009	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1010	--log-file $$b.log --trs-file $$b.trs \
1011	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1012	"$$tst" $(AM_TESTS_FD_REDIRECT)
1013.test.log:
1014	@p='$<'; \
1015	$(am__set_b); \
1016	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1017	--log-file $$b.log --trs-file $$b.trs \
1018	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1019	"$$tst" $(AM_TESTS_FD_REDIRECT)
1020@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1021@am__EXEEXT_TRUE@	@p='$<'; \
1022@am__EXEEXT_TRUE@	$(am__set_b); \
1023@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1024@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1025@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1026@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1027
1028distdir: $(BUILT_SOURCES)
1029	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1030
1031distdir-am: $(DISTFILES)
1032	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1033	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1034	list='$(DISTFILES)'; \
1035	  dist_files=`for file in $$list; do echo $$file; done | \
1036	  sed -e "s|^$$srcdirstrip/||;t" \
1037	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1038	case $$dist_files in \
1039	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1040			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1041			   sort -u` ;; \
1042	esac; \
1043	for file in $$dist_files; do \
1044	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1045	  if test -d $$d/$$file; then \
1046	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1047	    if test -d "$(distdir)/$$file"; then \
1048	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049	    fi; \
1050	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1051	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1052	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1053	    fi; \
1054	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1055	  else \
1056	    test -f "$(distdir)/$$file" \
1057	    || cp -p $$d/$$file "$(distdir)/$$file" \
1058	    || exit 1; \
1059	  fi; \
1060	done
1061check-am: all-am
1062	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_LTLIBRARIES)
1063	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1064check: check-am
1065all-am: Makefile
1066installdirs:
1067install: install-am
1068install-exec: install-exec-am
1069install-data: install-data-am
1070uninstall: uninstall-am
1071
1072install-am: all-am
1073	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1074
1075installcheck: installcheck-am
1076install-strip:
1077	if test -z '$(STRIP)'; then \
1078	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1079	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1080	      install; \
1081	else \
1082	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1083	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1084	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1085	fi
1086mostlyclean-generic:
1087	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1088	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1089	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1090
1091clean-generic:
1092
1093distclean-generic:
1094	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1095	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1096
1097maintainer-clean-generic:
1098	@echo "This command is intended for maintainers to use"
1099	@echo "it deletes files that may require special tools to rebuild."
1100clean: clean-am
1101
1102clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
1103	clean-libtool mostlyclean-am
1104
1105distclean: distclean-am
1106		-rm -f ./$(DEPDIR)/libwacom_test_la-wcmCommon.Plo
1107	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmConfig.Plo
1108	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmFilter.Plo
1109	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmISDV4.Plo
1110	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmTouchFilter.Plo
1111	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmUSB.Plo
1112	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmValidateDevice.Plo
1113	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmXCommand.Plo
1114	-rm -f ./$(DEPDIR)/libwacom_test_la-xf86Wacom.Plo
1115	-rm -f ./$(DEPDIR)/wacom_tests-fake-symbols.Po
1116	-rm -f ./$(DEPDIR)/wacom_tests-wacom-tests.Po
1117	-rm -f Makefile
1118distclean-am: clean-am distclean-compile distclean-generic \
1119	distclean-tags
1120
1121dvi: dvi-am
1122
1123dvi-am:
1124
1125html: html-am
1126
1127html-am:
1128
1129info: info-am
1130
1131info-am:
1132
1133install-data-am:
1134
1135install-dvi: install-dvi-am
1136
1137install-dvi-am:
1138
1139install-exec-am:
1140
1141install-html: install-html-am
1142
1143install-html-am:
1144
1145install-info: install-info-am
1146
1147install-info-am:
1148
1149install-man:
1150
1151install-pdf: install-pdf-am
1152
1153install-pdf-am:
1154
1155install-ps: install-ps-am
1156
1157install-ps-am:
1158
1159installcheck-am:
1160
1161maintainer-clean: maintainer-clean-am
1162		-rm -f ./$(DEPDIR)/libwacom_test_la-wcmCommon.Plo
1163	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmConfig.Plo
1164	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmFilter.Plo
1165	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmISDV4.Plo
1166	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmTouchFilter.Plo
1167	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmUSB.Plo
1168	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmValidateDevice.Plo
1169	-rm -f ./$(DEPDIR)/libwacom_test_la-wcmXCommand.Plo
1170	-rm -f ./$(DEPDIR)/libwacom_test_la-xf86Wacom.Plo
1171	-rm -f ./$(DEPDIR)/wacom_tests-fake-symbols.Po
1172	-rm -f ./$(DEPDIR)/wacom_tests-wacom-tests.Po
1173	-rm -f Makefile
1174maintainer-clean-am: distclean-am maintainer-clean-generic
1175
1176mostlyclean: mostlyclean-am
1177
1178mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1179	mostlyclean-libtool
1180
1181pdf: pdf-am
1182
1183pdf-am:
1184
1185ps: ps-am
1186
1187ps-am:
1188
1189uninstall-am:
1190
1191.MAKE: check-am install-am install-strip
1192
1193.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1194	check-am clean clean-checkLTLIBRARIES clean-checkPROGRAMS \
1195	clean-generic clean-libtool cscopelist-am ctags ctags-am \
1196	distclean distclean-compile distclean-generic \
1197	distclean-libtool distclean-tags distdir dvi dvi-am html \
1198	html-am info info-am install install-am install-data \
1199	install-data-am install-dvi install-dvi-am install-exec \
1200	install-exec-am install-html install-html-am install-info \
1201	install-info-am install-man install-pdf install-pdf-am \
1202	install-ps install-ps-am install-strip installcheck \
1203	installcheck-am installdirs maintainer-clean \
1204	maintainer-clean-generic mostlyclean mostlyclean-compile \
1205	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1206	recheck tags tags-am uninstall uninstall-am
1207
1208.PRECIOUS: Makefile
1209
1210
1211# Tell versions [3.59,3.63) of GNU make to not export all variables.
1212# Otherwise a system limit (for SysV at least) may be exceeded.
1213.NOEXPORT:
1214